Page MenuHomePhabricator

sitemap.wikimedia.org uses invalid SSL certificate
Closed, ResolvedPublic

Description

Similar to the two domains (download.wiki[mp]edia.org) in T107575, https://sitemap.wikimedia.org/ also uses the cert of dumps.wikimedia.org, since sitemap is a CNAME to dumps.

So sitemap.wikimedia.org needs to point to text-lb and set it to redirect to https://dumps.wikimedia.org/.

Event Timeline

Chmarkine claimed this task.
Chmarkine raised the priority of this task from to Needs Triage.
Chmarkine updated the task description. (Show Details)
Chmarkine added a project: HTTPS.
Chmarkine added a subscriber: Chmarkine.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 27 2015, 11:54 AM

Change 234256 had a related patch set uploaded (by Chmarkine):
Rewrite sitemap.wikimedia.org to dumps.wikimedia.org

https://gerrit.wikimedia.org/r/234256

Change 234257 had a related patch set uploaded (by Chmarkine):
Point sitemap.wikimedia.org to text-lb.

https://gerrit.wikimedia.org/r/234257

Chmarkine set Security to None.
Restricted Application added a subscriber: Matanya. · View Herald TranscriptAug 27 2015, 12:57 PM
Chmarkine added subscribers: MZMcBride, ArielGlenn, Dzahn and 2 others.

I copied the CC list of T107575 to this one.

Dzahn added a comment.Aug 27 2015, 2:22 PM

Also see T101486. Question is what sitemap.wm.org is even here for or if we should simply remove it. Unless we'd actually do T23765 and use it for that.

demon added a subscriber: demon.Sep 1 2015, 7:08 PM

I'd just decom it for now. Can always resurrect if T23765 or something else finds a use for it.

Change 234256 merged by Dzahn:
Rewrite sitemap.wikimedia.org to dumps.wikimedia.org

https://gerrit.wikimedia.org/r/234256

Change 234257 merged by BBlack:
Point sitemap.wikimedia.org to text-lb.

https://gerrit.wikimedia.org/r/234257

Dzahn added a comment.Sep 2 2015, 2:46 PM

Since Apache and DNS change are merged, this should solve the issue for now since sitemap can use the wildcard cert.

Dzahn closed this task as Resolved.Sep 2 2015, 2:48 PM